package cn.com.countrygarden.bi.main.service.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxUserDto;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.PageData;

import javax.servlet.http.HttpServletRequest;

public interface WcxUserService {

    PageData selectPageList(WcxUserDto dto);

    void updateEmpRole(String userId, String roleId);

    void updateEmpRoleByEmpCardId(String empCardId, String roleId);

    /**
     * 查询角色下人员
     * @param roleId
     * @return
     */
    PageData selectPageList(String roleId, int pageIndex, int pageSize);

    /**
     * 模糊查询doc表中所有的人员
     */
    PageData selectDocUserPageList(String userName, int pageIndex, int pageSize);

    /**
     * 获取操作者用户信息
     * @param request
     * @return
     */
    AccessToken getAccessToken(HttpServletRequest request);
}
